# TODO: get rid of helmetr.ttf, use Vera Sans or something?
# TODO: convert *.png to *.pnm at build time

%define pname     burn
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define configdir %(vdr-config --configdir  2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           vdr-%{pname}
Version:        0.1.0pre22
Release:        5
Summary:        DVD writing plugin for VDR

Group:          Multimedia/VDR
License:        GPL
URL:            http://www.xeatre.tv/community/burn/
Source0:        http://vdr.unetz.com/download/burn/%{name}-0.1.0-pre22.tar.bz2
Source200:      %{name}.runvdr
Patch0:         http://www.saunalahti.fi/~rahrenbe/vdr/patches/vdr-burn-0.0.009-finnish.diff.gz
Patch1:         %{name}-0.0.009-cleanupcfg.patch
Patch2:         %{name}-0.0.009-tmpreadme.patch
Patch3:         %{name}-0.0.009-author-chmod.patch
Patch4:         %{name}-0.0.009-titlepath.patch
Patch5:         %{name}-0.0.009-dspacemsg.patch
Patch6:         %{name}-0.0.009-vdr1347.patch
Patch7:		vdr-burn-0.1.0-pre21-gcc43.diff
Patch8:		burn-0.1.0-pre22_i18n-gettext.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0
BuildRequires:  imlib2-devel
BuildRequires:  %{__perl}
BuildRequires:	boost-devel
Requires:	boost
Requires:       vdr(abi) = %{apiver}
Requires:       vdrsync
Requires:       transcode
Requires:       tcmplex-panteltje
Requires:       dvdauthor
Requires:       ImageMagick
Requires:       mjpegtools
Requires:       y4mscaler
Requires:       dvd+rw-tools 	java-1.6.0-sun
# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
This plugin enables VDR to write compliant DVDs from VDR recordings
while being able to control the process and to watch progress from
inside VDRs on-screen-display.  If the selected recordings don't fit
the DVD, the video tracks are requantized (shrinked) automatically.
The created menus support multipage descriptions (in case the
recording summary exceeds one page).


%prep
%setup -q -c
cd burn
#%patch0 -p1
#%patch1
#%patch2
#%patch3
#%patch4
#%patch5 -p1
#%patch6
%patch7 -p1
%patch8 -p1
%{__perl} -pi -e \
  's|/etc/vdr/plugins/|%{configdir}/plugins/| ; s|vdrsync\.pl|vdrsync|' \
  *.sh
#%{__perl} -pi -e 's|/dev/dvd\b|/dev/dvdwriter|' \
#  Makefile README scripts/handlearchived.sh
%{__perl} -pi -e 's|^(\s*UseIso2UTF\s*=\s*)0;\s*$|${1}1;\n|' setup.c
#%{__perl} -pi -e 's|/usr/local/bin/||' scripts/{burnmark,handlearchived}.sh \
#  scripts/reccmds.conf.* README
#%{__perl} -pi -e 's|USE_TCMPLEX="no"|USE_TCMPLEX="yes"|' \
#  burn/vdrburnscript.conf
%{__perl} -pi -e 's|4462|4420|' common.h setup.c
#for f in HISTORY TODO ; do
#  iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f
#done
sed -i -e '/^DVBDIR/d' -e 's|-I$(DVBDIR)/include||' Makefile
sed -i -e s/VDRVERSION/APIVERSION/g Makefile

#JAVA Location
sed -i -e s#JAVA_HOME=/opt/j2re1.4.2#JAVA_HOME=/usr/lib/jvm/jre#g vdrburn-dvd.sh
cd ..


%build
make -C burn %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$RPM_BUILD_ROOT%{plugindir}/locale all burn-buffers \
  ISODIR=`vdr-config --videodir 2>/dev/null`

#make -C burn %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr i18n

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{plugindir}/bin
install -pm 755 burn/libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -pm 755 burn/*.sh $RPM_BUILD_ROOT%{plugindir}/bin
install -pm 755 burn/burn-buffers $RPM_BUILD_ROOT%{plugindir}/bin
install -dm 755 $RPM_BUILD_ROOT%{configdir}/plugins/burn
install -dm 755 $RPM_BUILD_ROOT%{configdir}/plugins/burn/skins
cp -a burn/burn/* $RPM_BUILD_ROOT%{configdir}/plugins/burn

#Cleanup
rm -rf $RPM_BUILD_ROOT%{configdir}/plugins/burn/CVS
rm -rf $RPM_BUILD_ROOT%{configdir}/plugins/burn/counters/CVS
rm -rf $RPM_BUILD_ROOT%{configdir}/plugins/burn/fonts/CVS
rm -rf $RPM_BUILD_ROOT%{configdir}/plugins/burn/fonts/ttf-bitstream-vera-1.10

make -C burn %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$RPM_BUILD_ROOT%{plugindir}/locale i18n

install -Dpm 644 %{SOURCE200} $RPM_BUILD_ROOT%{_sysconfdir}/runvdr/%{pname}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/runvdr-conf.d enable %{pname} >/dev/null 2>&1

%preun
if [ "$1" = 0 ]; then 
    /usr/bin/runvdr-conf.d disable %{pname} >/dev/null 2>&1
fi


#%post
#if ! grep -F burnmark.sh %{configdir}/reccmds.conf >/dev/null 2>&1 ; then
#  cat <<EOF >>%{configdir}/reccmds.conf
#Mark for writing onto a DVD: burnmark.sh -add
#Remove DVD writing mark: burnmark.sh -del
#Clean archived recording: handlearchived.sh -clean
#Restore archived recording: handlearchived.sh -restore
#Delete archive mark: handlearchived.sh -delmark
#EOF
#fi

#%postun
#if [ $1 -eq 0 ] ; then
#  %{__perl} -pi -e 's/^.*(burnmark|handlearchived)\.sh.*\n$//' \
#    %{configdir}/reccmds.conf >/dev/null 2>&1 || :
#fi

%files
%defattr(-,root,root,-)
%doc burn/COPYING burn/HISTORY burn/README
#%lang(de) %doc burn/TODO
%config(noreplace) %{_sysconfdir}/runvdr/%{pname}
%config(noreplace) %{configdir}/plugins/burn/
%{plugindir}/bin/burn-buffers
%{plugindir}/bin/vdrburn-archive.sh
%{plugindir}/bin/vdrburn-dvd.sh
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%_libdir/vdr/locale/*

%changelog
* Wed Mar 25 2009 Christian Metzen <metzench@ccux-linux.de> 0.1.0pre22-5
- rebuild against vdr-1.6.0-10
* Sat Nov 29 2008 Christian Metzen <metzench@ccux-linux.de> 0.1.0pre22-4
- rebuild against vdr-1.6.0-9
* Thu Nov 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.1.0pre22-3
- runvdr integration
* Tue Nov 11 2008 Christian Metzen <metzench@ccux-linux.de> 0.1.0pre22-2
- rebuild against vdr-1.6.0-3
* Sun Jun 29 2008 Christian Metzen <metzench@ccux-linux.de> 0.1.0pre22-1
- Version update to pre22 svn, added gettext patch
* Thu Jun 26 2008 Christian Metzen <metzench@ccux-linux.de> 0.1.0pre21-17
- added gcc 4.3.1 patch, corrected java location
* Thu Mar 27 2008 Christian Wasem <wasem@ccux-linux.de> 0.1.0pre21-16
- rebuild, VDR 1.6.0
* Sun Mar 16 2008 Christian Wasem <wasem@ccux-linux.de> 0.1.0pre21-15
- rebuild, VDR 1.5.18
* Sat Aug 25 2007 Christian Wasem <wasem@ccux-linux.de> 0.1.0pre21-14
- rebuild against latest vdr package
* Sat Jun 16 2007 Christian Metzen <metzench@ccux-linux.de> 0.1.0pre21-13
- rebuild, corrupted package
* Mon Feb 12 2007 Christian Metzen <metzench@ccux-linux.de> 0.1.0pre21-12
- rebuild against latest vdr package
* Wed Feb 07 2007 Christian Metzen <metzench@ccux-linux.de> 0.1.0pre21-11
- rebuild against latest vdr package
* Wed Feb 07 2007 Christian Metzen <metzench@ccux-linux.de> 0.1.0pre21-10
- rebuild against latest vdr package
* Fri Feb 02 2007 Christian Metzen <metzench@ccux-linux.de> 0.1.0pre21-9
- rebuild against latest vdr package
* Thu Jan 25 2007 Christian Metzen <metzench@ccux-linux.de> 0.1.0pre21-8
- rebuild against latest vdr package
* Wed Jan 24 2007 Christian Metzen <metzench@ccux-linux.de> 0.1.0pre21-7
- rebuild against latest vdr package
* Sat Jan 20 2007 Christian Metzen <metzench@ccux-linux.de> 0.1.0pre21-6
- rebuild against latest vdr package
* Sat Jan 20 2007 Christian Metzen <metzench@ccux-linux.de> 0.1.0pre21-5
- rebuild against latest vdr package
* Sat Jan 20 2007 Christian Metzen <metzench@ccux-linux.de> 0.1.0pre21-4
- rebuild against latest vdr package
* Wed Jan 10 2007 Christian Metzen <metzench@ccux-linux.de> 0.1.0pre21-3
- added missing burn-buffers
* Wed Jan 10 2007 Christian Metzen <metzench@ccux-linux.de> 0.1.0pre21-2
- fixed vdrsync location
* Wed Jan 10 2007 Christian Metzen <metzench@ccux-linux.de> 0.1.0pre21-1
- Version update to devel version
* Tue Jan 09 2007 Christian Metzen <metzench@ccux-linux.de> 0.0.009-1
- Initial release
